Uploaded image for project: 'Core Server'
  1. Core Server
  2. SERVER-4634

--use-system-all (and --use-system-snappy?) don't actually use system snappy

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Minor - P4
    • Resolution: Fixed
    • Affects Version/s: 2.0.2
    • Fix Version/s: 2.0.3, 2.1.1
    • Component/s: Build
    • Labels:
      None
    • Environment:
      OS X 10.6.8, Xcode 3.2.6
    • Operating System:
      OS X

      Description

      In ticket SERVER-3829, the options -use-system-all, --use-system-pcre and --use-system-sm were added. In fact, mongodb 2.0.2's "scons --help" advertises that it also supports the option --use-system-snappy. And using "-use-system-all" reports:

      using system version of: pcre
      using system version of: sm
      using system version of: snappy

      Nevertheless, the bundled version of snappy is built and used instead of the system version I have installed with MacPorts.

        Attachments

          Activity

            People

            Assignee:
            eliot Eliot Horowitz (Inactive)
            Reporter:
            ryandesign Ryan Schmidt
            Participants:
            Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: